PDFVTMode (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.pdf

## Enum PDFVTMode

- java.lang.Object
- - java.lang.Enum<PDFVTMode>
  - - org.apache.fop.pdf.PDFVTMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PDFVTMode>

      public enum PDFVTMode
      extends java.lang.Enum<PDFVTMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED`
    `PDFVT_1`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PDFVTMode` | `getValueOf(java.lang.String s)` Returns the mode enum object given a String.
    `static PDFVTMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PDFVTMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final PDFVTMode DISABLED

    - #### PDFVT_1

          public static final PDFVTMode PDFVT_1

  - ### Method Detail

    - #### values

          public static PDFVTMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PDFVTMode c : PDFVTMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PDFVTMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueOf

          public static PDFVTMode getValueOf(java.lang.String s)

      Returns the mode enum object given a String.
      Parameters:
        `s` - the string
      Returns:
        the PDFVTMode enum object (DISABLED will be returned if no match is found)

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.